<template>
    <div class="examination">
     <el-dialog @close="closeDialog" :visible.sync="dialogTableVisible" >
        <div slot="title" class="titleBox">
        <i :class="tableType === 0? 'el-icon-document':'el-icon-edit-outline'" style="font-size: 20px"></i>
        <!-- <img style="width: 25px; height: 25px" src='../../../../assets/img/imgScreen/more.png' /> -->
        <span style="margin-left:10px;font-size:18px">{{tableTypeDsc}}</span>
        </div>
       <el-form ref="baseData" label-width="80px" :rules="ruleValidate" :model="baseData">
         <el-row>
          <el-col :span="10">
            <el-form-item prop="reviseRuleNo" label="规则代码">
              <el-input v-model="baseData.reviseRuleNo" readOnly disabled size="small"></el-input>
            </el-form-item>
          </el-col>
          <el-col :span="10">
            <el-form-item prop="reviseRuleName" label="修约名称">
              <el-input v-model="baseData.reviseRuleName" size="small"></el-input>
            </el-form-item>
          </el-col>
          <el-col :span="10">
            <el-form-item prop="reviseDesc" label="修约描述">
              <el-input v-model="baseData.reviseDesc" size="small"></el-input>
            </el-form-item>
          </el-col>
           <el-col :span="10">
            <el-form-item prop="reviseFormula" label="修约公式">
              <el-input v-model="baseData.reviseFormula" size="small"></el-input>
            </el-form-item>
          </el-col>         
         </el-row>
          <el-row>
          <el-col :span="20">
            <el-form-item prop="callApi" label="调用API">
              <el-input v-model="baseData.callApi" size="small"></el-input>
            </el-form-item>
          </el-col>
         </el-row>
       </el-form>
       <span slot="footer" class="dialog-footer">
        <el-button type="goon" size="mini" icon="el-icon-check" @click="tableType === 0 ? addData():modifyData()">确定</el-button>
        <el-button size="mini" type="goon" icon="el-icon-remove-outline" @click="cancel">取消</el-button>
      </span>
    </el-dialog>
    </div>
</template>
<script>
import {
  getCookie
} from '@/utils/util.js';
import {
  cookieUserId,
  cookieUserName
} from '@/config/config.js';
let userName = getCookie(cookieUserName);
let userId = getCookie(cookieUserId);
export default {
  props: ['showFlag', 'Params'],
    data () {
        return {
            dialogTableVisible: false,
            tableTypeDsc: '新增修约规则',
            tableType: 0,
            seen: true,
            seenNo: true,
            beInvalid: false,
            tableData: [],
            baseData: {
              reviseRuleNo: '',
              reviseRuleName: '',
              reviseFormula: '',
              reviseDesc: '',
              callApi: ''
            },
            ruleValidate: {
              //merchTypeName: [{ required: true, message: '该项不能为空', trigger: 'change' }],
              reviseRuleName: [{ required: true, message: '该项不能为空', trigger: 'change' }],
              // merchAtrrName: [{ required: true, message: '该项不能为空', trigger: 'change' }]
             }
        }
    },
    methods: {
      cancel () {
        let _this = this;
        _this.tableData = [];
        _this.baseData = {
              reviseRuleNo: '',
              reviseRuleName: '',
              reviseDesc: '',
              reviseFormula: '',
              callApi: ''
        }
        _this.dialogTableVisible = false
        _this.$emit('refresh')
      },
      addData () {
        let _this = this;
        _this.tableData = [];
         _this.$refs['baseData'].validate((valid) => {
          if (valid) {
             _this.dialogTableVisible = false;
             _this.baseData.createMan = userName;
             _this.baseData.createNo = userId;
             _this.tableData.push(_this.baseData)
             _this.axios.post('pass/baseManagement/v1/limsbasereviserules/', _this.tableData, {individualType: 'json'}).then(res => {
                if (res.succeed) {
                 this.$message.success('添加成功')
                 _this.$emit('refresh')
                } else {
                 this.$message.error(res.message)
                }
                }).catch(e => {
                 this.$message.error(e.message)
               })
         }
       })
      },
      modifyData () {
        let _this = this;
        _this.tableData = [];
        _this.$refs['baseData'].validate((valid) => {
        if (valid) {
        _this.dialogTableVisible = false;
        _this.baseData.updateMan = userName;
        _this.baseData.updateNo = userId;
        _this.tableData.push(_this.baseData)
        _this.axios.put('pass/baseManagement/v1/limsbasereviserules/', _this.baseData, {individualType: 'json'}).then(res => {
           if (res.succeed) {
            this.$message.success('修改成功')
            _this.$emit('refresh')
           } else {
            this.$message.error(res.message)
           }
           }).catch(e => {
            this.$message.error(e.message)
          })
        }
        })
      },
     closeDialog () {
       let _this = this;
       _this.tableData = [];
       _this.baseData = {
              reviseRuleNo: '',
              reviseRuleName: '',
              reviseDesc: '',
              reviseFormula: '',
              callApi: ''
        }
       _this.seen = true;
       _this.seenNo = true;
       _this.beInvalid = false;
       _this.$emit('refresh')
     }
    },
    watch: {
      showFlag (arg) {
        let _this = this;
        _this.dialogTableVisible = true;
        if (_this.Params !== null) {
          _this.baseData = _this.Params[0];
          _this.tableType = 1;
          _this.tableTypeDsc = '修改修约规则';
          _this.seen = false;
          _this.beInvalid = true;
        } else {
          _this.tableType = 0;
          _this.seenNo = false;
          _this.tableTypeDsc = '新增修约规则';
        }
      }
    }
}
</script>
<style lang="less">
</style>
